> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of a report request

> Get the status of a report request



## OpenAPI

````yaml /api-reference/openapi.json get /reports/status/{reportId}
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/status/{reportId}:
    get:
      tags:
        - report
      summary: Get the status of a report request
      description: Get the status of a report request
      operationId: getReportStatus
      parameters:
        - name: reportId
          in: path
          description: Report ID
          required: true
          schema:
            type: string
        - name: channelId
          in: query
          description: Channel ID
          required: true
          schema:
            type: string
        - name: merchantId
          in: query
          description: Merchant ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportStatus'
        '400':
          description: Invalid input
          content: {}
        '404':
          description: Not found
          content: {}
      security:
        - api_key: []
components:
  schemas:
    ReportStatus:
      allOf:
        - $ref: '#/components/schemas/CreateReportResponse'
        - type: object
          properties:
            downloadUrl:
              type: string
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````